=== debian/changelog ===
game-data-packager (58) unstable; urgency=medium

  * Support for new languages and versions:
    - hexen2: Support patching version 1.03 to 1.11 (Closes: #733750)
      [smcv]
  * Bug fixes:
    - build: If an xdelta/xdelta3 delta (or the first part of a
      multi-part archive) is downloadable, but the file to patch
      (or a subsequent part) isn't, correctly work out that the result
      of patching (or the archive contents) cannot be obtained [smcv]
    - make-template: Don't crash on encountering README.txt in a
      tarball [smcv]
    - hexen2: List English Wikipedia page [smcv]
    - keen4: fix fallback download URL [adetiste]
    - quake3: Set long name for Threewave CTF [smcv]
    - rpm: Write out Conflicts tag for mutually exclusive packages
      [adetiste]
    - data: Use https in more places [smcv]
  * Internal changes:
    - build: Add support for xdelta3 patches [smcv, adetiste]
    - Apply Debianisms to package descriptions while building packages,
      not in the source data [smcv]
    - data: Blank lines in help text don't need escaping with a dot
      [smcv]
    - descent1: Remove dots from blank lines in copyright text [smcv]
    - tools: Improve robustness of mirror.py [adetiste]

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Jan 2018 18:39:44 +0000

game-data-packager (57) unstable; urgency=medium

  * Bug fixes:
    - morrowind: Exclude a few files from morrowind-complete-gog-extras
      that are already in morrowind-complete-en-plugins, preventing
      co-installation
    - morrowind: Install Vo/Misc/tr_alm*.mp3 into Sounds/Vo/Misc/, fixing
      a regression in v56
    - quake: Only try to install one instance of licinfo.txt
    - sam-and-max: Only try to install one instance of manual.pdf
    - core: Improve consistency checks so we verify that all packages
      are co-installable, or have metadata indicating that they are
      not co-installable

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Jan 2018 10:20:11 +0000

game-data-packager (56) unstable; urgency=medium

  * Support for new languages and versions:
    - Laura Bow2 - The Dagger of Amon Ra: add description
      of GOG.com archive; fix autodownloading [adetiste]
    - morrowind: GOG.com archive (Closes: #882491) [smcv]
    - morrowind: Official "plugins" (free addons), provided by GOG but
      also available separately from Bethesda's CDN [smcv]
  * Enhancements and bug fixes:
    - brokensword25: Mark as a fan-made game [smcv]
    - loom: add support for MT-32 update [Dmitry Eremin-Solenikov]
      (Closes: #886699)
    - maniacmansion: Mark as available on Steam (if you have this game
      on Steam, please tell us which directory in steamapps/common it
      uses) [adetiste]
    - morrowind: Normalize case of single-letter directory names, so
      that files that should be together stay together [smcv]
    - quake3: Drop Recommends for xmessage|zenity|kdialog, no longer
      invoked directly from code in this package [smcv]
    - Fix a typo in previous changelog entry [adetiste]
    - Add missing bug reference for #876321 in previous changelog entry
      [adetiste]
    - Fix a regression where g-d-p could no longer rip CD audio. Thanks
      to Paul Preuss for locating the relevant commit.
      (Closes: #886965) [smcv]
    - `g-d-p make-template` now appears in --help output [smcv]
    - Make `g-d-p make-template` able to merge new versions into existing
      games (the result is very rough and will usually need editing, but
      is much less tedious than doing the merge by hand) [smcv]
    - Enhance `g-d-p make-template` to produce more informative templates
      (in particular listing multiple directories provided on the command
      line as separate groups), and share more code with the rest of
      g-d-p [smcv]
    - Teach `g-d-p make-template` to be able to load templates produced
      by earlier versions (sometimes with some prior editing) when the
      files from which the template was produced are not available [smcv]
    - Skip memory-hungry check_equivalence.py during Debian package build
      [smcv]
    - Add autopkgtests [smcv]
  * Internal changes:
    - Move GameData object to g_d_p.game to avoid an interpreter
      warning [smcv]
    - doom, laura-bow2: Reformat data files [smcv, adetiste]
    - Declare compliance with Debian Policy 4.1.3 [smcv]
    - Use debhelper compat level 11 [smcv]
      + Override dh_installsystemd instead of dh_installinit,
        dh_systemd_enable and dh_systemd_start
      + Rely on dh_installsystemd to install instanced systemd units
    - d/rules: Use dh_missing --fail-missing instead of dh_install
      --fail-missing [smcv]
    - d/control: Wrap and sort Suggests [smcv]
    - d/copyright: Fix some lintian warnings [smcv]
    - d/control: Change Vcs-* to salsa.debian.org [smcv]

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2018 10:22:11 +0000

game-data-packager (55) unstable; urgency=medium

  * New game support:
    - Broken Sword 2: The Smoking Mirror (Closes: #884685)
      [Dmitry Eremin-Solenikov, smcv]
    - Broken Sword 2.5, a fan-made sequel to Broken Sword (Closes: #884708)
      [Dmitry Eremin-Solenikov]
    - quake: add Abyss of Pandemonium, a formerly-commercial third party
      expansion (Closes: #800505) [smcv]
    - quake3: add Threewave CTF [smcv]
  * Support for new languages and versions:
    - brokensword1: Add support for the version now provided as free DLC
      for the Director's Cut on Steam (Closes: #884684)
      [Dmitry Eremin-Solenikov]
    - doom3: Doom 3 BFG from GOG.com. Thanks, Brice Terzaghi
      (Closes: #873504) [adetiste]
    - ut99: Game of the Year Edition (version 432) CDs (Closes: #884826)
      [Dmitry Eremin-Solenikov]
  * Enhancements and bug fixes:
    - Add support for expansions that are only downloaded if specifically
      requested, or if an important file from that expansion is found
      (Closes: #775080) [smcv]

