=== debian/tests/control ===
Tests: check-equivalence
Depends: game-data-packager
Restrictions: allow-stderr, x-gdp-memory-hungry

Tests: check-syntax deb hashed-file integration rpm umod
Depends: game-data-packager
Restrictions: allow-stderr
