## game-data-packager 59

=== debian/changelog ===
game-data-packager (59) unstable; urgency=medium

  * Support for new languages and versions:
    - Broken Sword 1: add GOG.com url [adetiste]
    - Maniac Mansion: add GOG.com url [adetiste]
    - The Curse of Monkey Island: add Steam and GOG.com url [adetiste]
  * Bug fixes:
    - Simon the Sorcerer 1 and 2: update GOG.com URL for automatic download
      (Closes: #893909) [Dmitry Eremin-Solenikov]
    - Pajama Sam's Sock Works: fix SteamID for autodetection [adetiste]
    - Unreal Tournament (1999): Add missing dependency on
      gdp-runtime (>= 50~) (Closes: #890612) [smcv]
    - Quake series, Unreal: Version dependencies on gdp-runtime [smcv]
    - Quake: Download pre-ripped CD tracks from qaddicted.com if requested
      (Closes: #886996) [smcv]
    - Quake II: Install pre-ripped CD tracks from gog.com (Closes: #800622)
      or from Steam Community if downloaded separately with a
      browser (#886996) [smcv]
    - Heroes of Might and Magic III: Replace the Windows demo (which does
      not work with vcmi) with the Mac demo (which can be made to work)
      [Johannes Schauer, adetiste]
    - debian: Add versioned Recommends/Breaks to gdp so gdp-runtime
      is upgraded in lockstep [smcv]
  * Internal changes:
    - Heroes of Might and Magic III: Install to /usr/share/games/vcmi
      [Johannes Schauer]
    - innoextract: Remove special handling of '$provides' in to_unpack;
      games should set the look_for attribute on files instead [adetiste]
    - Add distinctive_name to the list of attributes that are propagated
      from file groups to files [smcv]
    - quake, quake2: Refactor how CD tracks are dealt with [smcv]
    - Arch Linux: Automatically upgrade backport-friendly dependencies
      like foo (>= 1.0~) to foo (>= 1.0) since Arch Linux does not support
      the dpkg/rpm meaning for '~' [smcv]
    - tools: add a new tool to compare the YAML database with the
      ScummVM wiki [adetiste]

 -- Simon McVittie <smcv@debian.org>  Thu, 10 May 2018 10:48:35 +0100
