=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- game-data-packager-runtime,
+ game-data-packager-runtime (>= ${source:Version}),
 Suggests:
  arj,
  binutils,
@@ -64,6 +64,7 @@
  xdelta,
  xdelta3,
 Breaks:
+ game-data-packager-runtime (<< ${source:Version}),
  lgogdownloader (<< 2.26-1~),
 Architecture: all
 Multi-Arch: foreign
@@ -226,7 +227,7 @@
 Architecture: i386
 Depends:
  etqw-bin | game-data-packager (>= 44),
- game-data-packager-runtime,
+ game-data-packager-runtime (>= ${source:Version}),
  ${misc:Depends},
 Suggests:
  etqw-pb-bin,
@@ -313,7 +314,7 @@
 Package: quake
 Architecture: all
 Depends:
- game-data-packager-runtime,
+ game-data-packager-runtime (>= ${source:Version}),
  quake-registered | quake-shareware | game-data-packager,
  quakespasm | quake-engine,
  ${misc:Depends},
@@ -365,7 +366,7 @@
 Package: quake2
 Architecture: all
 Depends:
- game-data-packager-runtime,
+ game-data-packager-runtime (>= ${source:Version}),
  quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
  yamagi-quake2 | quake2-engine,
  ${misc:Depends},
@@ -394,6 +395,3 @@
 Architecture: all
 Depends:
  adduser,
- lsb-base (>= 3.0-6),
- quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
- yamagi-quake2-core | quake2-engine-server,
