## game-data-packager 63

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,9 @@
 # in all GTK-based environments.
 svgz      := $(patsubst ./out/%.svg,./out/%.svgz,$(filter-out ./out/memento-mori-2.svg,$(simplified_svg)))
 in_yaml   := $(wildcard ./data/*.yaml)
+test_yaml   := $(wildcard ./tests/data/*.yaml)
 json_from_data := $(patsubst ./data/%.yaml,./out/vfs/%.json,$(in_yaml))
+json_from_tests := $(patsubst ./tests/data/%.yaml,./out/tests/vfs/%.json,$(test_yaml))
 copyright := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.copyright) ./data/copyright)
 dot_in    := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.in))
 desktop   := $(patsubst ./runtime/%.in,./out/%,$(wildcard ./runtime/*.desktop.in))
@@ -61,8 +63,10 @@
 
 all: $(png) $(svgz) $(json_from_data) $(launcher_json) \
       $(copyright) $(dot_in) $(desktop) $(quake_icons) \
+      $(json_from_tests) \
       out/bash_completion out/changelog.gz \
-      out/game-data-packager out/vfs.zip out/memento-mori-2.svg
+      out/game-data-packager out/vfs.zip out/memento-mori-2.svg \
+      out/tests/changelog.gz out/tests/vfs.zip out/tests/copyright
 
 configure.mk: configure game_data_packager/version.py
 	./config.status
@@ -79,10 +83,14 @@
 
 $(json_from_data): out/vfs/%.json: data/%.yaml tools/compile_yaml.py out/CACHEDIR.TAG
 	@mkdir -p out/vfs
-	$(PYTHON) tools/compile_yaml.py $< $@
+	PYTHONPATH=$(CURDIR) $(PYTHON) tools/compile_yaml.py $< $@
+
+$(json_from_tests): out/tests/vfs/%.json: tests/data/%.yaml tools/compile_yaml.py out/CACHEDIR.TAG
+	@mkdir -p out/tests/vfs
+	PYTHONPATH=$(CURDIR) $(PYTHON) tools/compile_yaml.py $< $@
 
 out/vfs.zip: $(json_from_data)
-	rm -f out/vfs.zip
+	rm -f $@
 	chmod 0644 out/vfs/*
 	if [ -n "$(SOURCE_DATE_EPOCH)" ]; then \
 		touch --date='@$(SOURCE_DATE_EPOCH)' out/vfs/*; \
@@ -90,6 +98,15 @@
 	cd out/vfs && ls -1 | LC_ALL=C sort | \
 		env TZ=UTC zip ../vfs.zip -9 -X -q -@
 
+out/tests/vfs.zip: $(json_from_tests)
+	rm -f $@
+	chmod 0644 out/tests/vfs/*
+	if [ -n "$(SOURCE_DATE_EPOCH)" ]; then \
+		touch --date='@$(SOURCE_DATE_EPOCH)' out/tests/vfs/*; \
+	fi
+	cd out/tests/vfs && ls -1 | LC_ALL=C sort | \
+		env TZ=UTC zip ../vfs.zip -9 -X -q -@
+
 out/bash_completion: $(in_yaml) out/CACHEDIR.TAG
 	$(PYTHON) tools/bash_completion.py > ./out/bash_completion
 	chmod 0644 ./out/bash_completion
@@ -97,6 +114,10 @@
 out/changelog.gz: debian/changelog out/CACHEDIR.TAG
 	gzip -nc9 debian/changelog > ./out/changelog.gz
 	chmod 0644 ./out/changelog.gz
+
+out/tests/changelog.gz out/tests/copyright: out/tests/%: out/%
+	@mkdir -p out/tests
+	cp -a $< $@
 
 out/game-data-packager: run out/CACHEDIR.TAG
 	install run out/game-data-packager
@@ -325,7 +346,7 @@
 		$<
 
 $(launcher_json): out/launch-%.json: out/launch-%.yaml
-	$(PYTHON) tools/yaml2json.py $< $@
+	PYTHONPATH=$(CURDIR) $(PYTHON) tools/yaml2json.py $< $@
 
 $(desktop) $(patsubst %.json,%.yaml,$(launcher_json)): out/%: runtime/%.in out/CACHEDIR.TAG
 	PYTHONPATH=. $(PYTHON) tools/expand_vars.py $< $@
@@ -334,24 +355,3 @@
 	rm -fr out
 	rm -rf game_data_packager/__pycache__
 	rm -rf game_data_packager/games/__pycache__
-	rm -rf game_data_packager/packaging/__pycache__
-	rm -rf game_data_packager/unpack/__pycache__
-	rm -rf tools/__pycache__
-
-distclean: clean
-	rm -f configure.mk config.status
-
-check:
-	set -e; \
-	for x in tests/*.py tools/check_equivalence.py tools/check_syntax.py; do \
-		case "$$x" in \
-			(*/__init__.py) \
-				continue;; \
-		esac; \
-		ln -sf ../../"$$x" debian/tests/"$$(basename "$${x%.py}" | tr _ -)"; \
-	done
-	LC_ALL=C.UTF-8 $(PYFLAKES3) game_data_packager/*.py game_data_packager/*/*.py runtime/*.py tests/*.py tools/*.py || :
-	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/deb.py
-	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/hashed_file.py
-	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/integration.py
-	LC_ALL=C.UTF-8 GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/rpm.py
