=== debian/changelog ===
game-data-packager (63) unstable; urgency=medium

  * Bug fixes:
    - make_template: Correct 'provides' for partially-present groups
  * Internal changes:
    - xcom-ufo: Make SOUND/ROLAND.CAT optional and add more version info.
      Thanks to Timothy Allen.

 -- Simon McVittie <smcv@debian.org>  Sun, 03 Feb 2019 19:47:29 +0000

game-data-packager (62) unstable; urgency=medium

  * New games:
    - jazz-jackrabbit: Add the Jazz Jackrabbit Collection, as published
      on GOG, for use with the openjazz package.
      Thanks to Fabian Greffrath (Closes: #902775) [smcv]
  * New languages and versions:
    - baldurs-gate-1, baldurs-gate-2, planescape-torment, teenagent:
      Add support for new GOG installers.
      Thanks to Roma Tentser
      (Closes: #913931, #913937, #913938, #913939) [smcv]
    - baldurs-gate-1: Add support for another GOG installer
      (Closes: #914548) [cacatoès]
    - kyrandia1: Add support for new GOG installer
      (Closes: #914528) [cacatoès]
    - xcom-ufo: Accept original GEODATA and original(?) ROLAND.CAT files
      from gog.com package, as an alternative to patched(?) files
      from Steam. Thanks to Timothy Allen
      (Closes: #916496) [smcv]
  * Bug fixes:
    - larry series: Stop treating larry-doc as an expansion; add a new
      documentation package type instead, and don't create .desktop files
      for those (Closes: #913911) [smcv]
    - wolf3d: Fix metadata describing how to unpack Apogee 1wolf14.zip
      [smcv]
    - rott, wolf3d: Fix download of shareware versions [smcv]
  * Internal changes:
    - tests/integration: Start to add a self-contained integration test.
      The old integration test is still present for now, but has been
      renamed to download_shareware. [smcv]
    - Declare compliance with Debian Policy 4.3.0 [smcv]

 -- Simon McVittie <smcv@debian.org>  Thu, 31 Jan 2019 10:32:50 +0000

game-data-packager (61) unstable; urgency=medium

  * New languages and versions:
    - hexen2: Add yet another repacked version of
      hexen2demo_nov1997-linux-i586.tgz (LP: #1781449) [smcv]
  * Bug fixes:
    - lgeneral: Fix arguments of prepare_packages() [smcv]
    - quake: Fix detection of aopfm when launching Quake [smcv]
    - d/tests/integration: Require python3-gi [smcv]
    - d/control: Suggest python3-gi, required (along with
      gir1.2-gdkpixbuf-2.0) to resize icons for some games [smcv]

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Nov 2018 20:58:10 +0000

game-data-packager (60) unstable; urgency=medium

  * New games:
    - larry7: Add Leisure Suit Larry 7: Love for Sail.
      Thanks to Рома Тенцер (Closes: #902651) [smcv]
  * New languages and versions:
    - rott, wolf3d: Add support for downloading and unpacking the
      Apogee shareware versions [smcv]
    - rott: Uncomment 3D Realms mirror [smcv]
    - Leisure Suit Larry series: Add details of GOG Linux installers.
      Thanks to Рома Тенцер (Closes: #902580, #902581, #902583, #902584,
      #902586, #902656) [smcv]
    - Leisure Suit Larry 6: Add details of SVGA version.
      Thanks to Рома Тенцер (Closes: #902654) [smcv]
    - Loom: Add details of latest GOG Linux installer. (Closes: #902747)
      [skitt]
    - The Legend of Kyrandia: Add details of latest GOG installers.
      (Closes: #897594) [skitt]
  * Bug fixes:
    - d/control: Update gdp-runtime Description to reflect that ut99
      also requires it [smcv]
    - innoextract: Don't fail on space + git hash after version number
      (Closes: #902610) [smcv]
    - make_template, build: Don't limit innoextract to /app. This is
      less efficient, but some GOG installers now have useful contents
      outside /app (see #897594) [smcv]
    - freespace2: Host a copy of the necessary extra files on
      game-data-packager.debian.net [smcv]
    - quake4 AppArmor profile: Sync up with quake3 [smcv]
    - Remove details of defunct mirrors on Alioth (Closes: #911788) [smcv]
    - integration test: Correctly skip tests if file was not
      downloaded and no mirror was provided [smcv]
    - make-template: Fix various issues around --template, which imports
      an existing template [smcv]
    - innoextract: Only limit to one language if asked to do so, which
      should allow archives with language not "english" to be unpacked
      [smcv]
  * Internal changes:
    - Drop support for innoextract < 1.5, which is older than Debian
      stable [smcv]
    - Replace more anonscm.debian.org URLs with salsa.debian.org [smcv]
    - Declare compliance with Debian Policy 4.2.1 [smcv]
    - d/copyright: Add Disclaimer describing why this package is not
      part of Debian [smcv]
    - unpack, util: Adjust whitespace, mostly with autopep8 [smcv]
    - build, make_template: Factor out InnoSetup unpacker [smcv]
    - Rename rott-mirrors to 3drealms-mirrors [smcv]
    - game: Assert that all files that provide other files can be
      unpacked [smcv]
    - descent1: Remove unnecessary provides directive [smcv]
    - tests: Re-test with Python 3.5 if available, to avoid breaking
      the ability to run g-d-p on Debian stable [smcv]
    - Automatically fall back to SafeLoader if yaml has no CSafeLoader
      [smcv]

 -- Simon McVittie <smcv@debian.org>  Sun, 04 Nov 2018 20:18:38 +0000
