=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  xmlstarlet,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
 Homepage: https://wiki.debian.org/Games/GameDataPackager
@@ -47,12 +47,13 @@
  gcc,
  gdebi | gdebi-kde,
  gir1.2-gdkpixbuf-2.0,
- innoextract,
+ innoextract (>= 1.5),
  lgc-pg,
  lgogdownloader,
  lhasa | jlha-utils | lzh-archiver,
  make,
  p7zip-full,
+ python3-gi,
  steam,
  steamcmd,
  unace-nonfree,
@@ -310,6 +311,7 @@
   * Quake series
   * Unreal
   * Unreal Gold
+  * Unreal Tournament
 
 Package: quake
 Architecture: all
@@ -391,7 +393,3 @@
  (developed by Rogue Entertainment). Additional menu entries should
  appear automatically if those expansions are installed.
 
-Package: quake2-server
-Architecture: all
-Depends:
- adduser,
